## visad.data.amanda
Class Event

    java.lang.Object
      visad.data.amanda.Event

public class Event
extends Object

Field Summary
`static RealType` `indexType`
`static Data` `missing`
`static TupleType` `tupleType`

Constructor Summary
`(package private)` `Event(int number, int run, int year, int day, double time, double timeShift)`

Method Summary
`(package private) void` `add(FitTrack track)`
`(package private) void` `add(Hit hit)`
`(package private) void` `add(MCTrack track)`
`(package private) void` `dump(PrintStream out)`
`int` `getDay()`
`Hit` `getHit(int idx)`
`int` `getNumber()`
`int` `getNumberOfHits()`
`int` `getNumberOfTracks()`
`int` `getRun()`
`double` `getTime()`
`double` `getTimeShift()`
`BaseTrack` `getTrack(int idx)`
`int` `getYear()`
`float[][]` `makeHistogram(ScalarMap xMap, ScalarMap yMap, ScalarMap cMap, ScalarMap dpyColorMap)`
`FieldImpl` `makeHitSequence()`
`FieldImpl` `makeTrackSequence(int idx)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### indexType

    public static final RealType indexType

### tupleType

    public static TupleType tupleType

### missing

    public static Data missing

Constructor Detail

### Event

    Event(int number,
          int run,
          int year,
          int day,
          double time,
          double timeShift)

Method Detail

### add

    final void add(Hit hit)

### add

    final void add(FitTrack track)

### add

    final void add(MCTrack track)

### dump

    final void dump(PrintStream out)

### getDay

    public final int getDay()

### getHit

    public final Hit getHit(int idx)

### getNumber

    public final int getNumber()

### getNumberOfHits

    public final int getNumberOfHits()

### getNumberOfTracks

    public final int getNumberOfTracks()

### getRun

    public final int getRun()

### getTime

    public final double getTime()

### getTimeShift

    public final double getTimeShift()

### getTrack

    public final BaseTrack getTrack(int idx)

### getYear

    public final int getYear()

### makeHistogram

    public final float[][] makeHistogram(ScalarMap xMap,
                                         ScalarMap yMap,
                                         ScalarMap cMap,
                                         ScalarMap dpyColorMap)

### makeHitSequence

    public final FieldImpl makeHitSequence()

### makeTrackSequence

    public final FieldImpl makeTrackSequence(int idx)

### toString

    public String toString()